Foreman - Bug #8363

Sort VMware datastore/network dropdown menus
11/12/2014 07:02 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Shlomi Zadok
Category: Compute resources - VMware
Target version: 1.7.1
Difficulty: easy Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1163100 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1936
Description

Dropdown menus on the new host form when using a VMware compute resource aren't sorted alphabetically, so it is hard to find and

select datastores or networks.

Related issues:

Related to Foreman - Feature #6214: Alphabetical menu sorting in the web Ul Closed
Related to Foreman - Bug #7886: Compute Resources in new host form should be ... Closed
Related to Foreman - Bug #9085: VMware folders not showing full path New

06/13/2014
10/09/2014
01/23/2015

Associated revisions

Revision 7a347c66 - 11/16/2014 07:48 PM - Shlomi Zadok
fixes #8363 - Sort VMware attributes alphabetically

Revision 6edc5e33 - 12/15/2014 10:00 AM - Shlomi Zadok
fixes #8363 - Sort VMware attributes alphabetically

(cherry picked from commit 7a347c¢663566936dd4a23eb498b6e250fe6735ff)

History

#1 - 11/13/2014 12:24 PM - Bryan Kearney
- Related to Feature #6214: Alphabetical menu sorting in the web Ul added

#2 - 11/13/2014 12:28 PM - Bryan Kearney

- Related to Bug #7886: Compute Resources in new host form should be ordered added

#3 - 11/14/2014 04:25 AM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#4 - 11/14/2014 01:54 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1936 added
- Pull request deleted ()

#5 - 11/16/2014 08:02 PM - Shlomi Zadok
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7a347c663566936dd4a23eb498b6e250fe6735ff.

#6 - 11/17/2014 03:34 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7a347c663566936dd4a23eb498b6e250fe6735ff

- translation missing: en.field_release set to 29

#7 - 01/22/2015 11:46 AM - Josh Baird

- File folders2.png added

- File folders.png added

- Status changed from Closed to Feedback

This still doesn't appear to be sorting correctly. It's only sorting on the parent name, not path.

folders.png shows what the code produces today. folder2.png shows what happens when folder.rb is changed to use ""#{path} / #{name}""
This is closer, but everything before "vm" should be truncated.

#8 - 01/23/2015 03:12 AM - Dominic Cleal
- Related to Bug #9085: VMware folders not showing full path added

#9 - 01/23/2015 03:12 AM - Dominic Cleal
- Status changed from Feedback to Closed

I've filed the remaining issue about truncated folder names as #9085, thanks Josh.
